diff -aruN --binary 21/administrator/components/com_banners/controllers/banner.php 22/administrator/components/com_banners/controllers/banner.php
--- 21/administrator/components/com_banners/controllers/banner.php	2010-07-18 05:15:44.000000000 +0200
+++ 22/administrator/components/com_banners/controllers/banner.php	2010-11-03 19:12:02.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: banner.php 18162 2010-07-16 07:00:47Z ian $
+ * @version		$Id: banner.php 19343 2010-11-03 18:12:02Z ian $
  * @package		Joomla
  * @subpackage	Banners
  * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
@@ -80,10 +80,14 @@
 		$where		= count( $where ) ? ' WHERE ' . implode( ' AND ', $where ) : '';
 
 		// sanitize $filter_order
-		if (!in_array($filter_order, array('b.name', 'c.name', 'cc.title', 'b.showBanner', 'b.ordering', 'b.sticky', 'b.impmade', 'b.clicks', 'b.bid'))) {
+		if (!in_array($filter_order, array('b.name', 'c.name', 'cc.title', 'b.showBanner', 'b.ordering', 'b.Sticky', 'b.impmade', 'b.clicks', 'b.bid'))) {
 			$filter_order = 'cc.title';
 		}
 
+		if (!in_array(strtoupper($filter_order_Dir), array('ASC', 'DESC'))) {
+			$filter_order_Dir = '';
+		}
+
 		$orderby	= ' ORDER BY '. $filter_order .' '. $filter_order_Dir .', b.ordering';
 
 		// get the total number of records
diff -aruN --binary 21/administrator/components/com_banners/controllers/client.php 22/administrator/components/com_banners/controllers/client.php
--- 21/administrator/components/com_banners/controllers/client.php	2010-07-18 05:15:44.000000000 +0200
+++ 22/administrator/components/com_banners/controllers/client.php	2010-11-03 19:12:02.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: client.php 18162 2010-07-16 07:00:47Z ian $
+ * @version		$Id: client.php 19343 2010-11-03 18:12:02Z ian $
  * @package		Joomla
  * @subpackage	Banners
  * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
@@ -64,6 +64,10 @@
 			$filter_order = 'a.name';
 		}
 
+		if (!in_array(strtoupper($filter_order_Dir), array('ASC', 'DESC'))) {
+			$filter_order_Dir = '';
+		}
+
 		$orderby = ' ORDER BY '. $filter_order .' '. $filter_order_Dir .', a.cid';
 
 		// get the total number of records
@@ -218,4 +222,4 @@
 
 		$this->setMessage( JText::sprintf( 'Items removed', $n ) );
 	}
-}
\ No hay ningún carácter de nueva línea al final del fichero
+}
diff -aruN --binary 21/administrator/components/com_categories/admin.categories.php 22/administrator/components/com_categories/admin.categories.php
--- 21/administrator/components/com_categories/admin.categories.php	2010-07-18 05:15:44.000000000 +0200
+++ 22/administrator/components/com_categories/admin.categories.php	2010-11-03 19:12:02.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: admin.categories.php 18162 2010-07-16 07:00:47Z ian $
+ * @version		$Id: admin.categories.php 19343 2010-11-03 18:12:02Z ian $
  * @package		Joomla
  * @subpackage	Categories
  * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
@@ -134,6 +134,10 @@
 		$filter_order = 'c.ordering';
 	}
 
+	if (!in_array(strtoupper($filter_order_Dir), array('ASC', 'DESC'))) {
+		$filter_order_Dir = '';
+	}
+
 	if (intval($section) <= 0 && $section != 'com_content' && $filter_order == 'section_name') {
 		$filter_order = 'c.ordering';
 	}
@@ -1025,4 +1029,4 @@
 
 	$msg 	= JText::_( 'New ordering saved' );
 	$mainframe->redirect( 'index.php?option=com_categories&section='. $section, $msg );
-}
\ No hay ningún carácter de nueva línea al final del fichero
+}
diff -aruN --binary 21/administrator/components/com_contact/admin.contact.php 22/administrator/components/com_contact/admin.contact.php
--- 21/administrator/components/com_contact/admin.contact.php	2010-07-18 05:15:44.000000000 +0200
+++ 22/administrator/components/com_contact/admin.contact.php	2010-11-03 19:12:02.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: admin.contact.php 18162 2010-07-16 07:00:47Z ian $
+* @version		$Id: admin.contact.php 19343 2010-11-03 18:12:02Z ian $
 * @package		Joomla
 * @subpackage	Contact
 * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
@@ -136,6 +136,10 @@
 		$filter_order = 'cd.ordering';
 	}
 
+	if (!in_array(strtoupper($filter_order_Dir), array('ASC', 'DESC'))) {
+		$filter_order_Dir = '';
+	}
+
 	$where 		= ( count( $where ) ? ' WHERE ' . implode( ' AND ', $where ) : '' );
 	if ($filter_order == 'cd.ordering'){
 		$orderby 	= ' ORDER BY category, cd.ordering';
diff -aruN --binary 21/administrator/components/com_content/toolbar.content.html.php 22/administrator/components/com_content/toolbar.content.html.php
--- 21/administrator/components/com_content/toolbar.content.html.php	2010-04-23 13:40:10.000000000 +0200
+++ 22/administrator/components/com_content/toolbar.content.html.php	2010-10-21 04:00:28.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: toolbar.content.html.php 14401 2010-01-26 14:10:00Z louis $
+* @version		$Id: toolbar.content.html.php 19173 2010-10-21 03:00:28Z ian $
 * @package		Joomla
 * @subpackage	Content
 * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
@@ -12,6 +12,9 @@
 * See COPYRIGHT.php for copyright notices and details.
 */
 
+// no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' );
+
 /**
 * @package		Joomla
 * @subpackage	Content
diff -aruN --binary 21/administrator/components/com_frontpage/admin.frontpage.php 22/administrator/components/com_frontpage/admin.frontpage.php
--- 21/administrator/components/com_frontpage/admin.frontpage.php	2010-07-18 05:15:44.000000000 +0200
+++ 22/administrator/components/com_frontpage/admin.frontpage.php	2010-11-03 19:12:02.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: admin.frontpage.php 18162 2010-07-16 07:00:47Z ian $
+* @version		$Id: admin.frontpage.php 19343 2010-11-03 18:12:02Z ian $
 * @package		Joomla
 * @subpackage	Content
 * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
@@ -137,10 +137,14 @@
 	$where 		= ( count( $where ) ? ' WHERE ' . implode( ' AND ', $where ) : '' );
 
 	// ensure we have a good vale for $filter_order
-	if (!in_array($filter_order, array('c.title', 'c.state', 'fpordering', 'groupname', 'c.id', 'sect_name', 'cc.name', 'author'))) {
+	if (!in_array($filter_order, array('c.title', 'c.state', 'fpordering', 'groupname', 'c.id', 'sect_name', 'cc.name', 'author', 'cc.title'))) {
 		$filter_order = 'fpordering';
 	}
 
+	if (!in_array(strtoupper($filter_order_Dir), array('ASC', 'DESC'))) {
+		$filter_order_Dir = '';
+	}
+
 	$orderby 	= ' ORDER BY '. $filter_order .' '. $filter_order_Dir .', fpordering';
 
 	// get the total number of records
@@ -375,4 +379,4 @@
 
 	$msg 	= JText::_( 'New ordering saved' );
 	$mainframe->redirect( 'index.php?option=com_frontpage', $msg );
-}
\ No hay ningún carácter de nueva línea al final del fichero
+}
diff -aruN --binary 21/administrator/components/com_frontpage/views/frontpage.php 22/administrator/components/com_frontpage/views/frontpage.php
--- 21/administrator/components/com_frontpage/views/frontpage.php	2010-05-28 03:28:54.000000000 +0200
+++ 22/administrator/components/com_frontpage/views/frontpage.php	2010-11-03 19:12:02.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: frontpage.php 17299 2010-05-27 16:06:54Z ian $
+* @version		$Id: frontpage.php 19343 2010-11-03 18:12:02Z ian $
 * @package		Joomla
 * @subpackage	Content
 * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
@@ -92,7 +92,7 @@
 						<?php echo JHTML::_('grid.sort',   'Section', 'sect_name', @$lists['order_Dir'], @$lists['order'] ); ?>
 					</th>
 					<th width="10%" class="title">
-						<?php echo JHTML::_('grid.sort',   'Category', 'cc.name', @$lists['order_Dir'], @$lists['order'] ); ?>
+						<?php echo JHTML::_('grid.sort',   'Category', 'cc.title', @$lists['order_Dir'], @$lists['order'] ); ?>
 					</th>
 					<th width="10%" class="title">
 						<?php echo JHTML::_('grid.sort',   'Author', 'author', @$lists['order_Dir'], @$lists['order'] ); ?>
diff -aruN --binary 21/administrator/components/com_menus/models/list.php 22/administrator/components/com_menus/models/list.php
--- 21/administrator/components/com_menus/models/list.php	2010-07-18 05:15:44.000000000 +0200
+++ 22/administrator/components/com_menus/models/list.php	2010-11-03 19:12:02.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: list.php 18162 2010-07-16 07:00:47Z ian $
+ * @version		$Id: list.php 19343 2010-11-03 18:12:02Z ian $
  * @package		Joomla
  * @subpackage	Menus
  * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
@@ -81,6 +81,10 @@
 			$filter_order = 'm.ordering';
 		}
 
+		if (!in_array(strtoupper($filter_order_Dir), array('ASC', 'DESC', ''))) {
+			$filter_order_Dir = 'ASC';
+		}
+
 		// just in case filter_order get's messed up
 		if ($filter_order) {
 			$orderby = ' ORDER BY '.$filter_order .' '. $filter_order_Dir .', m.parent, m.ordering';
diff -aruN --binary 21/administrator/components/com_menus/views/list/view.php 22/administrator/components/com_menus/views/list/view.php
--- 21/administrator/components/com_menus/views/list/view.php	2010-07-18 05:15:44.000000000 +0200
+++ 22/administrator/components/com_menus/views/list/view.php	2010-11-03 19:12:02.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: view.php 18162 2010-07-16 07:00:47Z ian $
+ * @version		$Id: view.php 19343 2010-11-03 18:12:02Z ian $
  * @package		Joomla
  * @subpackage	Menus
  * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
@@ -178,6 +178,10 @@
 			$filter_order = 'm.ordering';
 		}
 
+		if (!in_array(strtoupper($filter_order_Dir), array('ASC', 'DESC', ''))) {
+			$filter_order_Dir = 'ASC';
+		}
+
 		// level limit filter
 		$lists['levellist'] = JHTML::_('select.integerlist',    1, 20, 1, 'levellimit', 'size="1" onchange="document.adminForm.submit();"', $levellimit );
 
diff -aruN --binary 21/administrator/components/com_messages/admin.messages.php 22/administrator/components/com_messages/admin.messages.php
--- 21/administrator/components/com_messages/admin.messages.php	2010-07-18 05:15:44.000000000 +0200
+++ 22/administrator/components/com_messages/admin.messages.php	2010-11-03 19:12:02.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: admin.messages.php 18162 2010-07-16 07:00:47Z ian $
+* @version		$Id: admin.messages.php 19343 2010-11-03 18:12:02Z ian $
 * @package		Joomla
 * @subpackage	Messages
 * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
@@ -79,6 +79,14 @@
 	}
 	$search = JString::strtolower($search);
 
+	if (!in_array($filter_order, array('a.date_time', 'a.state', 'a.subject', 'user_from'))) {
+		$filter_order = 'a.date_time';
+	}
+
+	if (!in_array(strtoupper($filter_order_Dir), array('ASC', 'DESC'))) {
+		$filter_order_Dir = 'DESC';
+	}
+
 	$where = array();
 	$where[] = ' a.user_id_to='.(int) $user->get('id');
 
@@ -96,11 +104,6 @@
 
 	$where 		= ( count( $where ) ? ' WHERE ' . implode( ' AND ', $where ) : '' );
 
-	// sanitize $filter_order``
-	if (!in_array($filter_order, array('a.subject', 'a.state', 'user_from', 'a.date_time'))) {
-		$filter_order = 'a.date_time';
-	}
-
 	$orderby 	= ' ORDER BY '. $filter_order .' '. $filter_order_Dir .', a.date_time DESC';
 
 	$query = 'SELECT COUNT(*)'
diff -aruN --binary 21/administrator/components/com_modules/controller.php 22/administrator/components/com_modules/controller.php
--- 21/administrator/components/com_modules/controller.php	2010-07-18 05:15:44.000000000 +0200
+++ 22/administrator/components/com_modules/controller.php	2010-11-03 19:12:02.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: controller.php 18162 2010-07-16 07:00:47Z ian $
+ * @version		$Id: controller.php 19343 2010-11-03 18:12:02Z ian $
  * @package		Joomla
  * @subpackage	Modules
  * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
@@ -105,6 +105,10 @@
 			$filter_order = 'm.position';
 		}
 
+		if (!in_array(strtoupper($filter_order_Dir), array('ASC', 'DESC', ''))) {
+			$filter_order_Dir = '';
+		}
+
 		$where 		= ' WHERE ' . implode( ' AND ', $where );
 		$join 		= ' ' . implode( ' ', $joins );
 		if ($filter_order == 'm.ordering') {
diff -aruN --binary 21/administrator/components/com_newsfeeds/admin.newsfeeds.php 22/administrator/components/com_newsfeeds/admin.newsfeeds.php
--- 21/administrator/components/com_newsfeeds/admin.newsfeeds.php	2010-07-18 05:15:44.000000000 +0200
+++ 22/administrator/components/com_newsfeeds/admin.newsfeeds.php	2010-11-03 19:12:02.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: admin.newsfeeds.php 18162 2010-07-16 07:00:47Z ian $
+* @version		$Id: admin.newsfeeds.php 19343 2010-11-03 18:12:02Z ian $
 * @package		Joomla
 * @subpackage	Newsfeeds
 * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
@@ -119,6 +119,10 @@
 		$filter_order = 'a.ordering';
 	}
 
+	if (!in_array(strtoupper($filter_order_Dir), array('ASC', 'DESC'))) {
+		$filter_order_Dir = '';
+	}
+
 	$where 		= ( count( $where ) ? ' WHERE ' . implode( ' AND ', $where ) : '' );
 	if ($filter_order == 'a.ordering'){
 		$orderby 	= ' ORDER BY catname, a.ordering';
diff -aruN --binary 21/administrator/components/com_plugins/views/plugins/view.html.php 22/administrator/components/com_plugins/views/plugins/view.html.php
--- 21/administrator/components/com_plugins/views/plugins/view.html.php	2010-07-18 05:15:44.000000000 +0200
+++ 22/administrator/components/com_plugins/views/plugins/view.html.php	2010-11-03 19:12:02.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: view.html.php 18162 2010-07-16 07:00:47Z ian $
+* @version		$Id: view.html.php 19343 2010-11-03 18:12:02Z ian $
 * @package		Joomla
 * @subpackage	Config
 * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
@@ -79,6 +79,10 @@
 			$filter_order = 'p.folder';
 		}
 
+		if (!in_array(strtoupper($filter_order_Dir), array('ASC', 'DESC'))) {
+			$filter_order_Dir = '';
+		}
+
 		if ($filter_order == 'p.ordering') {
 			$orderby = ' ORDER BY p.folder, p.ordering '. $filter_order_Dir;
 		} else {
@@ -144,4 +148,4 @@
 
 		parent::display($tpl);
 	}
-}
\ No hay ningún carácter de nueva línea al final del fichero
+}
diff -aruN --binary 21/administrator/components/com_poll/views/polls/view.html.php 22/administrator/components/com_poll/views/polls/view.html.php
--- 21/administrator/components/com_poll/views/polls/view.html.php	2010-07-18 05:15:44.000000000 +0200
+++ 22/administrator/components/com_poll/views/polls/view.html.php	2010-11-03 19:12:02.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: view.html.php 18162 2010-07-16 07:00:47Z ian $
+* @version		$Id: view.html.php 19343 2010-11-03 18:12:02Z ian $
 * @package		Joomla
 * @subpackage	Config
 * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
@@ -69,6 +69,10 @@
 			$filter_order = 'm.id';
 		}
 
+		if (!in_array(strtoupper($filter_order_Dir), array('ASC', 'DESC'))) {
+			$filter_order_Dir = '';
+		}
+
 		$orderby 	= ' ORDER BY '. $filter_order .' '. $filter_order_Dir;
 
 		$query = 'SELECT COUNT(m.id)'
@@ -115,4 +119,4 @@
 
 		parent::display($tpl);
 	}
-}
\ No hay ningún carácter de nueva línea al final del fichero
+}
diff -aruN --binary 21/administrator/components/com_search/models/search.php 22/administrator/components/com_search/models/search.php
--- 21/administrator/components/com_search/models/search.php	2010-07-18 05:15:44.000000000 +0200
+++ 22/administrator/components/com_search/models/search.php	2010-11-03 19:12:02.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: search.php 18162 2010-07-16 07:00:47Z ian $
+ * @version		$Id: search.php 19343 2010-11-03 18:12:02Z ian $
  * @package		Joomla
  * @subpackage	Search
  * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
@@ -63,8 +63,12 @@
 			$filter_order = 'hits';
 		}
 
+		if (!in_array(strtoupper($filter_order_Dir), array('ASC', 'DESC'))) {
+			$filter_order_Dir = '';
+		}
+
 		// table ordering
-		if ( $filter_order_Dir == 'ASC' ) {
+		if ( strtoupper($filter_order_Dir) == 'ASC' ) {
 			$this->lists['order_Dir'] = 'ASC';
 		} else {
 			$this->lists['order_Dir'] = 'DESC';
@@ -128,4 +132,4 @@
 
 		return $rows;
 	}
-}
\ No hay ningún carácter de nueva línea al final del fichero
+}
diff -aruN --binary 21/administrator/components/com_sections/admin.sections.php 22/administrator/components/com_sections/admin.sections.php
--- 21/administrator/components/com_sections/admin.sections.php	2010-07-18 05:15:44.000000000 +0200
+++ 22/administrator/components/com_sections/admin.sections.php	2010-11-03 19:12:02.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: admin.sections.php 18162 2010-07-16 07:00:47Z ian $
+* @version		$Id: admin.sections.php 19343 2010-11-03 18:12:02Z ian $
 * @package		Joomla
 * @subpackage	Sections
 * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
@@ -138,6 +138,10 @@
 		$filter_order = 's.ordering';
 	}
 
+	if (!in_array(strtoupper($filter_order_Dir), array('ASC', 'DESC'))) {
+		$filter_order_Dir = '';
+	}
+
 	$orderby 	= ' ORDER BY '.$filter_order.' '. $filter_order_Dir .', s.ordering';
 
 	// get the total number of records
@@ -725,4 +729,4 @@
 
 	$msg 	= JText::_( 'New ordering saved' );
 	$mainframe->redirect( 'index.php?option=com_sections&scope=content', $msg );
-}
\ No hay ningún carácter de nueva línea al final del fichero
+}
diff -aruN --binary 21/administrator/components/com_translationsmanager/controller.php 22/administrator/components/com_translationsmanager/controller.php
--- 21/administrator/components/com_translationsmanager/controller.php	2010-06-09 14:27:44.000000000 +0200
+++ 22/administrator/components/com_translationsmanager/controller.php	2010-10-28 04:32:22.000000000 +0200
@@ -204,11 +204,11 @@
 		}
 
 		// set the filename
-		$options['filename'] = $options['cid'][0];
-
-
-jimport('joomla.filesystem.file');
-$options['filename'] = JFile::makeSafe($options['filename']);
+		$options['filename'] = $options['cid'][0];
+
+
+jimport('joomla.filesystem.file');
+$options['filename'] = JFile::makeSafe($options['filename']);
 
 
 		// build the autocorrect array
@@ -292,7 +292,7 @@
 				// get the language and language path
 				$lang = substr($file,0,$options['langLen']);
 				$langPath = JLanguage::getLanguagePath( $options['basePath'], $lang );
-				$langPath = JPath::clean($langPath );
+				$langPath = JPath::clean($langPath );
 
 				// ensure that XML files are only affected by XML tasks
 				if ( (substr($file,-4)=='.xml') && (substr($task,-3)!='xml') ) {
@@ -598,14 +598,14 @@
 				$editMeta['complete'] = ( $editMeta['complete'] == 'COMPLETE' ) ? $editMeta['unchanged'] : 0;
 				// build the header
 				if ($editMeta['headertype']==1) {
-					$saveContent = '# $Id: ' . $options['filename'] . ' ' . $editMeta['version'] . ' ' . date('Y-m-d H:i:s') . ' ' . $editMeta['owner'] . ' ~' . $editMeta['complete'] . ' $';
+					$saveContent = '; $Id: ' . $options['filename'] . ' ' . $editMeta['version'] . ' ' . date('Y-m-d H:i:s') . ' ' . $editMeta['owner'] . ' ~' . $editMeta['complete'] . ' $';
 				} else {
-					$saveContent = '# version ' . $editMeta['version'] . ' ' . date('Y-m-d H:i:s') . ' ~' . $editMeta['complete'];
+					$saveContent = '; version ' . $editMeta['version'] . ' ' . date('Y-m-d H:i:s') . ' ~' . $editMeta['complete'];
 				}
-				$saveContent .= "\n" . '# author ' . $editMeta['author'];
-				$saveContent .= "\n" . '# copyright ' . $editMeta['copyright'];
-				$saveContent .= "\n" . '# license ' . $editMeta['license'];
-				$saveContent .= "\n\n" .  '# Note : All ini files need to be saved as UTF-8';
+				$saveContent .= "\n" . '; author ' . $editMeta['author'];
+				$saveContent .= "\n" . '; copyright ' . $editMeta['copyright'];
+				$saveContent .= "\n" . '; license ' . $editMeta['license'];
+				$saveContent .= "\n\n" .  '; Note : All ini files need to be saved as UTF-8';
 				$saveContent .= "\n\n";
 
 				// process the $editData array to get the remaining content
@@ -1536,4 +1536,4 @@
 	}
 
 }
-?>
+?>
